package com.handysoft.beans.entity;

import javax.jdo.annotations.IdentityType;
import javax.jdo.annotations.PersistenceCapable;
import javax.jdo.annotations.Persistent;

@PersistenceCapable(identityType = IdentityType.NONDURABLE)
public class HDept extends HandyEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -3410696405529323562L;

	@Persistent
	private String id;

	@Persistent
	private String name;

	@Persistent
	private String address1;

	@Persistent
	private String address2;

	@Persistent
	private String passcode;

	@Persistent
	private int priority;

	@Persistent
	private String upperDept;

	@Persistent
	private String repDept;

	@Persistent
	private boolean isDocUnit;

	@Persistent
	private boolean isAccUnit;

	@Override
	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public final String getName() {
		return name;
	}

	public final void setName(String name) {
		this.name = name;
	}

	public final String getAddress1() {
		return address1;
	}

	public final void setAddress1(String address1) {
		this.address1 = address1;
	}

	public final String getAddress2() {
		return address2;
	}

	public final void setAddress2(String address2) {
		this.address2 = address2;
	}

	public final String getPasscode() {
		return passcode;
	}

	public final void setPasscode(String passcode) {
		this.passcode = passcode;
	}

	public final int getPriority() {
		return priority;
	}

	public final void setPriority(int priority) {
		this.priority = priority;
	}

	public final String getUpperDept() {
		return upperDept;
	}

	public final void setUpperDept(String upperDept) {
		this.upperDept = upperDept;
	}

	public void setRepDept(String repDept) {
		this.repDept = repDept;
	}

	public String getRepDept() {
		return repDept;
	}

	public final boolean isDocUnit() {
		return isDocUnit;
	}

	public final void setDocUnit(boolean isDocUnit) {
		this.isDocUnit = isDocUnit;
	}

	public void setAccUnit(boolean isAccUnit) {
		this.isAccUnit = isAccUnit;
	}

	public boolean isAccUnit() {
		return isAccUnit;
	}

}
